VisualEditor: CTRL+Z occasionally inserts a pawn
Closed, ResolvedPublic


When typing in visual editor, sometimes pressing CTRL+Z will replace the last entered character with a pawn (♙).

I've encountered this most frequently when undoing text that appeared as a link when I didn't want it to (see bug 51531) but occasionally when undoing other text as well.

There are numerous other pawn insertion bugs, other editors have suggested possible relationships with bug 49732, bug 48346 or bug 51140, but none seem quite the same (e.g. there is no non-ASCII text, bold or italics involved) and all are marked as fixed. I encountered this yesterday and today (16 and 17 July).

Version: unspecified
Severity: minor
See Also:

bzimport set Reference to bz51532.
Thryduulf created this task.Via LegacyJul 17 2013, 12:51 PM
Thryduulf added a comment.Via ConduitSep 19 2013, 7:02 PM

This is still happening occasionally, and almost always associated with undoing text added to a link. However I can't reproduce it every time.

Jdforrester-WMF added a comment.Via ConduitJul 29 2014, 2:02 AM

I believe these issues are now fixed.

Add Comment